## org.omg.IOP.CodecPackage
Class InvalidTypeForEncodingHelper

    java.lang.Object
      |
      +--org.omg.IOP.CodecPackage.InvalidTypeForEncodingHelper

public class InvalidTypeForEncodingHelper
extends java.lang.Object

Helper class for : InvalidTypeForEncoding

Author:
  OpenORB Compiler

Constructor Summary
`InvalidTypeForEncodingHelper()`

Method Summary
`static InvalidTypeForEncoding` `extract(Any a)` Extract InvalidTypeForEncoding from an any
`static java.lang.String` `id()` Return the InvalidTypeForEncoding IDL ID
`static void` `insert(Any a, InvalidTypeForEncoding t)` Insert InvalidTypeForEncoding into an any
`static InvalidTypeForEncoding` `read(InputStream istream)` Read InvalidTypeForEncoding from a marshalled stream
`static TypeCode` `type()` Return the InvalidTypeForEncoding TypeCode
`static void` `write(OutputStream ostream, InvalidTypeForEncoding value)` Write InvalidTypeForEncoding into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvalidTypeForEncodingHelper

    public InvalidTypeForEncodingHelper()

Method Detail

### insert

    public static void insert(Any a,
                              InvalidTypeForEncoding t)

  Insert InvalidTypeForEncoding into an any
  Parameters:
    `a` - an any
    `t` - InvalidTypeForEncoding value

### extract

    public static InvalidTypeForEncoding extract(Any a)

  Extract InvalidTypeForEncoding from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted InvalidTypeForEncoding value

### type

    public static TypeCode type()

  Return the InvalidTypeForEncoding TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the InvalidTypeForEncoding IDL ID
  Returns:
    an ID

### read

    public static InvalidTypeForEncoding read(InputStream istream)

  Read InvalidTypeForEncoding from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed InvalidTypeForEncoding value

### write

    public static void write(OutputStream ostream,
                             InvalidTypeForEncoding value)

  Write InvalidTypeForEncoding into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - InvalidTypeForEncoding value